From 20a6ae8829ce71735d0d8388339c41623790f688 Mon Sep 17 00:00:00 2001
From: manisha <manisha_kanyal.scsebtech@galgotiasuniversity.edu.in>
Date: Jun 03 2021 14:07:39 +0000
Subject: [PATCH 1/9] solved conflicts


---

diff --git a/src/index.js b/src/index.js
index 9c2349b..ca0b333 100644
--- a/src/index.js
+++ b/src/index.js
@@ -2,8 +2,6 @@ import React from "react"
 import ReactDOM from "react-dom"
 
 import "./index.css"
-//import 'bootstrap/dist/css/bootstrap.min.css';
-
 import "typeface-open-sans"
 
 import App from "./App"
diff --git a/src/landingpage/Blockers.js b/src/landingpage/Blockers.js
index ef30f1b..89efa98 100644
--- a/src/landingpage/Blockers.js
+++ b/src/landingpage/Blockers.js
@@ -1,5 +1,5 @@
 import React, { Component } from "react"
-import { Row } from "reactstrap"
+import { Row, Card, CardBody } from "reactstrap"
 import SourceLink from "./SourceLink"
 import BugStats from "./common/BugStats"
 
@@ -12,16 +12,19 @@ class Blockers extends Component {
   render() {
     if (this.props.data)
       return (
-        <div>
-          <h1 className="padded">
-            Fedora {this.props.release} blockers and FEs{" "}
-            <SourceLink href="https://qa.fedoraproject.org/blockerbugs/" />
-          </h1>
-          <Row>
-            <BugStats milestone = {"Beta"} stats = {this.props.data.beta} />
-            <BugStats milestone = {"Final"} stats = {this.props.data.final} />
-          </Row>
-        </div>
+        <Card>
+          <CardBody>
+            <h1 className="text-center padded">
+              Fedora {this.props.release} blockers and FEs{" "}
+              <SourceLink href="https://qa.fedoraproject.org/blockerbugs/" />
+            </h1>
+            <Row>
+              <BugStats milestone={"Beta"} stats={this.props.data.beta} />
+
+              <BugStats milestone={"Final"} stats={this.props.data.final} />
+            </Row>
+          </CardBody>
+        </Card>
       )
   }
 }
diff --git a/src/landingpage/Events.js b/src/landingpage/Events.js
index 54eb80b..3151841 100644
--- a/src/landingpage/Events.js
+++ b/src/landingpage/Events.js
@@ -1,6 +1,7 @@
 import React, { Component } from "react"
 import dateFormat from "dateformat"
-import SourceLink from './SourceLink'
+import SourceLink from "./SourceLink"
+import { Card, CardBody, Row, Col } from "reactstrap"
 
 class Events extends Component {
   constructor(props) {
@@ -11,17 +12,17 @@ class Events extends Component {
   render() {
     const meetings = this.props.data.map((meeting) => {
       const old = new Date(meeting.start)
-      var meeting_start = dateFormat(
-        new Date(old.getTime() - old.getTimezoneOffset() * 60000),
-        "d mmm yyyy - HH:MM"
-      )
-      if (meeting.fullday) {
-        meeting_start = meeting_start.slice(0, -5) + "All day"
+      var date = old.getDate()
+      var month = old.toLocaleString("default", { month: "short" })
+      var time = dateFormat(new Date(old.getTime() - old.getTimezoneOffset() * 60000), "HH:MM")
+      if (time.fullday) {
+        time = date.slice(0, -5) + "All day"
       }
       return (
         <Event
-          key={meeting_start + meeting.summary}
-          start={meeting_start}
+          date={date}
+          month={month}
+          time={time}
           summary={meeting.summary}
           link={meeting.link}
           info={meeting.info}
@@ -29,13 +30,15 @@ class Events extends Component {
       )
     })
     return (
-      <div>
-        <h1 className="padded">
-          Meetings and testdays in the next 7 days{" "}
-          <SourceLink href="https://apps.fedoraproject.org/calendar/QA/" />
-        </h1>
-        <ul className="events">{meetings}</ul>
-      </div>
+      <Card>
+        <CardBody>
+          <h1 className="text-center padded">
+            Meetings and testdays in the next 7 days{" "}
+            <SourceLink href="https://apps.fedoraproject.org/calendar/QA/" />
+          </h1>
+          <div className="col-md-12 padded">{meetings}</div>
+        </CardBody>
+      </Card>
     )
   }
 }
@@ -43,14 +46,29 @@ class Events extends Component {
 class Event extends Component {
   render() {
     return (
-      <li key={this.props.start + this.props.summary}>
-        <b>{this.props.start}</b>
-        <br />
-        <a target="_blank" rel="noopener noreferrer" href={this.props.link}>
-          {this.props.summary}
-        </a>
-        <br />
-      </li>
+      <Row>
+        <Col md={6}>
+          <div class="d-flex flex-row align-items-center event">
+            <div class="d-flex flex-column align-items-center date">
+              <span class="month"> {this.props.month}</span>
+              <span class="day">{this.props.date}</span>
+            </div>
+
+            <div class="d-flex flex-column align-items-left">
+              <span class="title">
+                <a
+                  className="events"
+                  target="_blank"
+                  rel="noopener noreferrer"
+                  href={this.props.link}>
+                  {this.props.summary}
+                </a>
+              </span>
+              <span class="time">{this.props.time}</span>
+            </div>
+          </div>
+        </Col>
+      </Row>
     )
   }
 }
diff --git a/src/landingpage/LandingPage.js b/src/landingpage/LandingPage.js
index 478a18a..b406f41 100644
--- a/src/landingpage/LandingPage.js
+++ b/src/landingpage/LandingPage.js
@@ -1,12 +1,20 @@
 import React, { Component } from "react"
-import { Container, Row } from "reactstrap"
+import {
+  Container,
+  Row,
+  Modal,
+  ModalHeader,
+  ModalBody,
+  ModalFooter,
+  Button,
+  Col,
+} from "reactstrap"
 import { Link } from "react-router-dom"
 import Layout from "../layout/Layout"
 import Timeline from "./Timeline"
 import Events from "./Events"
 import Blockers from "./Blockers"
 import Minutes from "./Minutes"
-import Hideable from "./Hideable"
 import * as R from "ramda"
 import { connect } from "react-redux"
 import { loadData } from "../actions/reduxActions"
@@ -19,7 +27,7 @@ class LandingPage extends Component {
     this.available_components = ["events", "blockers", "minutes"]
     let enabled_components = this.cookies.get("landingpage_enabled_components")
     if (enabled_components === undefined) {
-      enabled_components = this.available_components.slice()
+      enabled_components = [...this.available_components]
       this.cookies.set("landingpage_enabled_components", enabled_components, {
         path: "/",
       })
@@ -33,38 +41,41 @@ class LandingPage extends Component {
       stable: 0,
       config_mode: false,
       enabled_components: enabled_components,
+      showModal: false,
     }
+    this.toggleModal = this.toggleModal.bind(this)
+    this.handleVisibilityChange = this.handleVisibilityChange.bind(this)
   }
-
   componentDidMount() {
     this.props.dispatch(loadData())
   }
 
-  toggle_config_mode(e) {
-    let config_mode = !this.state.config_mode
-    this.setState({ config_mode: config_mode })
-    e.preventDefault()
-  }
-
-  toggle_component_visibility(e, name) {
-    if (name === undefined) {
-      e.preventDefault()
-      return
-    }
-    let enabled_components = this.state.enabled_components
-    if (enabled_components.includes(name)) {
-      enabled_components.splice(enabled_components.indexOf(name), 1)
+  handleVisibilityChange(e, item) {
+    let enabled_components = [...this.state.enabled_components]
+    if (enabled_components.includes(item)) {
+      enabled_components.splice(enabled_components.indexOf(item), 1)
     } else {
-      enabled_components.push(name)
+      enabled_components.push(item)
       enabled_components = this.available_components.filter((c) => enabled_components.includes(c))
     }
     this.cookies.set("landingpage_enabled_components", enabled_components, {
       path: "/",
     })
     this.setState({ enabled_components: enabled_components })
+  }
+
+  toggle_config_mode(e) {
+    let config_mode = !this.state.config_mode
+    this.setState({ config_mode: config_mode })
     e.preventDefault()
   }
 
+  toggleModal() {
+    let modalState = !this.state.showModal
+    this.setState({
+      showModal: modalState,
+    })
+  }
   render() {
     const available_components = {
       events: <Events data={this.props.meetings} />,
@@ -76,59 +87,83 @@ class LandingPage extends Component {
       this.state.config_mode ? this.available_components : this.state.enabled_components
     )
     components = components.map((row) => (
-      <Row>
+      <>
         {row.map((item) => (
-          <div className="col-md-6">
-            <Hideable
-              config_mode={this.state.config_mode}
-              toggle_handler={this.toggle_component_visibility.bind(this)}
-              component_name={item}
-              is_enabled={this.state.enabled_components.includes(item)}>
-              {available_components[item]}
-            </Hideable>
-          </div>
+          <div className="padded col-md-6">{available_components[item]}</div>
         ))}
-      </Row>
+      </>
     ))
 
     return (
       <Layout apiCallStatus={this.props.api_call_status}>
-        <div className="bluebox">
+        <div>
+          <div className="bluebox">
+            <Container>
+              <Row>
+                <div className="col-md-12">
+                  <Timeline data={this.props.schedule} />
+                </div>
+              </Row>
+            </Container>
+          </div>
           <Container>
             <Row>
+              {components}
+              <div className="padded col-md-12 text-right col-md-offset-2">
+                <Button className="mt" color="primary" onClick={this.toggleModal}>
+                  <i class="fas fa-cog"></i>
+                </Button>
+                <Modal isOpen={this.state.showModal} toggle={this.toggleModal}>
+                  <ModalHeader>Visibility Configuration</ModalHeader>
+                  <ModalBody>
+                    {this.available_components.map((item) => (
+                      <React.Fragment key={item}>
+                        <Col sm="12">
+                          <div class="custom-control custom-switch">
+                            <input
+                              type="checkbox"
+                              class="custom-control-input"
+                              id={item}
+                              checked={this.state.enabled_components.includes(item)}
+                              onChange={(e) => this.handleVisibilityChange(e, item)}
+                            />{" "}
+                            <label class="custom-control-label" for={item}>
+                              {item === "events"
+                                ? "Meetings and testdays in the next 7 days"
+                                : item === "minutes"
+                                ? "Fedora QA Meeting Minutes"
+                                : "Fedora 35 blockers and FEs"}
+                            </label>
+                          </div>
+                        </Col>
+                      </React.Fragment>
+                    ))}
+                  </ModalBody>
+                  <ModalFooter>
+                    <Button color="primary" onClick={this.toggleModal}>
+                      Close
+                    </Button>
+                  </ModalFooter>
+                </Modal>
+              </div>
+            </Row>
+            <Row className="d-flex justify-content-center padded">
               <div className="col-md-12">
-                <Timeline data={this.props.schedule} />
+                <h1 className="text-center">
+                  Have some spare time? Click on below button to contibute
+                </h1>
+              </div>
+              <div className="col-md-2 padded">
+                <Link
+                  className="btn btn-primary btn-block btn-wrap-text btn-lg active"
+                  to="/wizard"
+                  role="button">
+                  Explore <i class="fas fa-search"></i>
+                </Link>
               </div>
             </Row>
           </Container>
         </div>
-        <Container>
-          {components}
-          <Row className="padded">
-            <div className="col-md-12 text-right">
-              <a
-                href="#"
-                onClick={(e) => this.toggle_config_mode(e)}
-                className="badge badge-secondary events"
-                role="button">
-                {this.state.config_mode
-                  ? "Save changes"
-                  : "Configure visibility of the info-cards"}
-              </a>
-            </div>
-          </Row>
-          <Row className="padded">
-            <div className="col-md-12 padded">
-              <Link
-                className="btn btn-primary btn-block btn-wrap-text btn-lg active"
-                to="/wizard"
-                role="button">
-                Do you have some spare time? Feeling like helping others? Wanna improve Fedora?
-                Click here!
-              </Link>
-            </div>
-          </Row>
-        </Container>
       </Layout>
     )
   }
diff --git a/src/landingpage/Minutes.js b/src/landingpage/Minutes.js
index 4f88f2b..e2646db 100644
--- a/src/landingpage/Minutes.js
+++ b/src/landingpage/Minutes.js
@@ -1,26 +1,29 @@
 import React, { Component } from "react"
+import { Card, CardBody } from "reactstrap"
 
 class Events extends Component {
   render() {
     return (
-      <div>
-        <h1 className="padded">Fedora QA Meeting Minutes</h1>
-        <div className="events">
-          <a target="_blank" href={this.props.data.link} rel="noopener noreferrer">
-            Latest minutes from {this.props.data.date}
-          </a>
-          <br />
-          Visit{" "}
-          <a
-            target="_blank"
-            href="https://meetbot.fedoraproject.org/sresults/?group_id=fedora-qa&type=team"
-            rel="noopener noreferrer">
-            meetbot
-          </a>{" "}
-          to see older.
-          <br />
-        </div>
-      </div>
+      <Card className="mt-20">
+        <CardBody>
+          <h1 className="text-center padded">Fedora QA Meeting Minutes</h1>
+          <div className="events">
+            <a target="_blank" href={this.props.data.link} rel="noopener noreferrer">
+              Latest minutes from {this.props.data.date}
+            </a>
+            <br />
+            Visit{" "}
+            <a
+              target="_blank"
+              href="https://meetbot.fedoraproject.org/sresults/?group_id=fedora-qa&type=team"
+              rel="noopener noreferrer">
+              meetbot
+            </a>{" "}
+            to see older.
+            <br />
+          </div>
+        </CardBody>
+      </Card>
     )
   }
 }
diff --git a/src/landingpage/Timeline.js b/src/landingpage/Timeline.js
index 1de10c5..c49caff 100644
--- a/src/landingpage/Timeline.js
+++ b/src/landingpage/Timeline.js
@@ -1,5 +1,6 @@
 import React, { Component } from "react"
-import SourceLink from './SourceLink'
+import { Card, CardBody } from "reactstrap"
+import SourceLink from "./SourceLink"
 
 class Timeline extends Component {
   constructor(props) {
@@ -48,19 +49,24 @@ class Timeline extends Component {
     })
     return (
       <div>
-        <h1 className="padded">
-          Current development schedule{" "}
-          <SourceLink href="https://fedorapeople.org/groups/schedule/" />
-        </h1>
-        <div className="table-responsive">
-          <table className="timeline">
-            <tbody>
-              <tr>{line}</tr>
-              <tr>{dates}</tr>
-              <tr>{schedule}</tr>
-            </tbody>
-          </table>
-        </div>
+        <Card>
+          <CardBody>
+            <h1 className="text-center padded">
+              Current development schedule{" "}
+              <SourceLink href="https://fedorapeople.org/groups/schedule/" />
+            </h1>
+            <div className="table-responsive">
+              <table className="timeline">
+                <tbody>
+                  <tr>{line}</tr>
+                  <tr>{dates}</tr>
+                  <tr>{schedule}</tr>
+                </tbody>
+              </table>
+            </div>
+            <h6 className="text-center padded">This is about the development schedule</h6>
+          </CardBody>
+        </Card>
       </div>
     )
   }
diff --git a/src/landingpage/common/BugStats.js b/src/landingpage/common/BugStats.js
index 938dadd..b3be054 100644
--- a/src/landingpage/common/BugStats.js
+++ b/src/landingpage/common/BugStats.js
@@ -1,39 +1,40 @@
-import React from 'react'
+import React from "react"
+import { Table } from "reactstrap"
 
 const BugStats = (props) => {
-    const { milestone, stats } = props;
-    
-    return (
-            <div className="col-md-6">
-              <table className="events">
-                <thead>
-                  <tr>
-                    <td colSpan="2">
-                      <b>{milestone}</b>
-                    </td>
-                  </tr>
-                </thead>
-                <tbody>
-                  <tr>
-                    <td>Proposed Blockers</td>
-                    <td className="bugscount">{stats.blockers_proposed}</td>
-                  </tr>
-                  <tr>
-                    <td>Accepted Blockers</td>
-                    <td className="bugscount">{stats.blockers}</td>
-                  </tr>
-                  <tr>
-                    <td>Proposed FEs</td>
-                    <td className="bugscount">{stats.fe_proposed}</td>
-                  </tr>
-                  <tr>
-                    <td>Accepted FEs</td>
-                    <td className="bugscount">{stats.fe}</td>
-                  </tr>
-                </tbody>
-              </table>
-            </div>
-    )
+  const { milestone, stats } = props
+
+  return (
+    <div className="col-md-6">
+      <Table className="events" striped bordered>
+        <thead>
+          <tr>
+            <td colSpan="2">
+              <b className="bugscount">{milestone}</b>
+            </td>
+          </tr>
+        </thead>
+        <tbody>
+          <tr>
+            <td>Proposed Blockers</td>
+            <td className="bugscount">{stats.blockers_proposed}</td>
+          </tr>
+          <tr>
+            <td>Accepted Blockers</td>
+            <td className="bugscount">{stats.blockers}</td>
+          </tr>
+          <tr>
+            <td>Proposed FEs</td>
+            <td className="bugscount">{stats.fe_proposed}</td>
+          </tr>
+          <tr>
+            <td>Accepted FEs</td>
+            <td className="bugscount">{stats.fe}</td>
+          </tr>
+        </tbody>
+      </Table>
+    </div>
+  )
 }
 
 export default BugStats
diff --git a/src/wizard/WizardForm.js b/src/wizard/WizardForm.js
index 12d2cba..da4ad49 100644
--- a/src/wizard/WizardForm.js
+++ b/src/wizard/WizardForm.js
@@ -1,5 +1,5 @@
 import React, { Component } from "react"
-import { Row, Button, Modal, ModalHeader, ModalBody, ModalFooter } from "reactstrap"
+import { Row, Button } from "reactstrap"
 import * as R from "ramda"
 
 const durationString = {
@@ -51,7 +51,7 @@ class WizardForm extends Component {
         .filter((p) => p.duration === duration)
         .map((p) => {
           const btncolor =
-            this.state.selected_provider.provider === p.provider ? "selected" : "primary"
+            this.state.selected_provider.provider === p.provider ? "secondary" : "primary"
           return (
             <div className="card" key={"provider_card" + p.provider}>
               <div className="card-body">
